org.apache.calcite.avatica.proto

## Interface Common.DatabasePropertyOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.DatabaseProperty, Common.DatabaseProperty.Builder

Enclosing class:
  Common

    public static interface Common.DatabasePropertyOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFunctions(int index)` `repeated string functions = 2;`
`com.google.protobuf.ByteString` `getFunctionsBytes(int index)` `repeated string functions = 2;`
`int` `getFunctionsCount()` `repeated string functions = 2;`
`List<String>` `getFunctionsList()` `repeated string functions = 2;`
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

`string name = 1;`

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

#### getFunctionsList

    List<String> getFunctionsList()

`repeated string functions = 2;`

#### getFunctionsCount

    int getFunctionsCount()

`repeated string functions = 2;`

#### getFunctions

    String getFunctions(int index)

`repeated string functions = 2;`

#### getFunctionsBytes

    com.google.protobuf.ByteString getFunctionsBytes(int index)

`repeated string functions = 2;`